Adobe Lightroom Issues: When I tried to launch a plug-in from Adobe Lightroom Classic CC, I received the error “could not load image.”

This information applies to version(s): 2018, 2, 3, 4, 5

This error occurs when the External Editing settings for the plug-ins are configured to save the images as PSD files instead of TIFF files. To resolve the issue, please do the following:

  • While Lightroom is still open, click Edit > Preferences OR Lightroom > Preferences.
  • Click the "External Editing" tab at the top of Preferences.
  • Midway down you will see the Preset drop-down bar. Select the affected plug-in from this list.
  • Change the file format from “PSD” to "TIFF.” Set the Bit Depth to 16-bit, Resolution to 240, and Compress to None.
  • Click on the Preset bar again and select "Update Preset ..." from the list to save the settings.
  • Repeat these steps for each Nik Collection plug-in listed: they should all be set to “TIFF.”
  • If you see the same error again after making this change, be sure to select “Edit a Copy with Lightroom Adjustments” instead of “Edit Original” when opening the image.

Was this article helpful?

0 out of 2 found this helpful

You haven't found the answer to your questions?

You can send us a request
Send a request